ChunkEvaluationErrorListener (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.cmdline.chunker, class: ChunkEvaluationErrorListener

# Class ChunkEvaluationErrorListener

java.lang.Object
opennlp.tools.cmdline.EvaluationErrorPrinter<ChunkSample>
opennlp.tools.cmdline.chunker.ChunkEvaluationErrorListener

All Implemented Interfaces:
  `ChunkerEvaluationMonitor, EvaluationMonitor<ChunkSample>`

public class ChunkEvaluationErrorListener extends opennlp.tools.cmdline.EvaluationErrorPrinter<ChunkSample> implements ChunkerEvaluationMonitor
A default implementation of `EvaluationMonitor` that prints to an output stream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChunkEvaluationErrorListener()`
  Creates a listener that will print to the configured `logger`.
  `ChunkEvaluationErrorListener(OutputStream outputStream)`
  Creates a listener that will print to a given `OutputStream`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `misclassified(ChunkSample reference, ChunkSample prediction)`

  ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

  `correctlyClassified`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface EvaluationMonitor

  `correctlyClassified`

- ## Constructor Details

  - ### ChunkEvaluationErrorListener

    public ChunkEvaluationErrorListener()
    Creates a listener that will print to the configured `logger`.

  - ### ChunkEvaluationErrorListener

    public ChunkEvaluationErrorListener(OutputStream outputStream)
    Creates a listener that will print to a given `OutputStream`

- ## Method Details

  - ### misclassified

    public void misclassified(ChunkSample reference, ChunkSample prediction)
    Specified by:
      `misclassified` in interface `EvaluationMonitor<ChunkSample>`
    Specified by:
      `misclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<ChunkSample>`